import psimjava.*;

public class Car extends psimjava.Process{
	private long sleepPeriod;
	private int carNumber;
	public int turnDirection;
	private Erand laneErand;
	private Erand turnDir;
	private String roadName;
	public Car(String name,String roadName,long sleepPeriod) 
	{		
		super(name);
		this.sleepPeriod=sleepPeriod;
		laneErand = new Erand(15d);
		turnDir = new Erand(3d);
		this.roadName = roadName;
	}
	public void Main_body()
	{
		
		turnDirection = (((int)(turnDir.fdraw())) % 3)+1;
		TrafficController.out.println(getName() + " created: " + get_clock() +"\t" +getTurnDirectionName()+ "\t "+roadName);
		
		carNumber = TrafficController.carCount;
		deactivate(this);
	
		terminate();
	}
	public String getTurnDirectionName()
	{
		String retString = "";
		if(turnDirection == 1)
			retString = "Left";
		else if(turnDirection ==2)
			retString = "Straight";
		else if(turnDirection == 3)
			retString ="Right";
		return retString;
	}

}
