package psimjava;

/**
 * PsimJ Java package for OO simulation
 * <P> Object-oriented simulation package, process interaction approach.
 * <P> (C) J. M. Garrido. June 2000, 2003, 2004
 *
 * Auxiliary (internal) class used by the other PsimJ classes
 */
class Qobject {
    public Object myobj;
    public Qobject next;
    public Qobject prev;
    public Qobject cur_obj; // current object
    public int num_res; // number res held
    public int nr_req; // number res requested
    //
    public Qobject(Object v) {
        myobj = v;
        next = null;
        prev = null;
        num_res = 0;
        nr_req = 0;
    }

    public Qobject(Object v, int nr, int nreq) {
        myobj = v;
        next = null;
        prev = null;
        num_res = nr;
        nr_req = nreq;
    }
}
