package psimjava;

/**
 * Internal class used by class Res and by the PsimJ simulation executive.
 * <P>Object-oriented simulation package, process interaction approach.
 * (C) Jose M. Garrido, June 2000, August 2003, 2004
 */
class Res_chain {
    private ResNode first;
    public ResNode current;
    //
    public Res_chain() {
        first = null;
        current = null;
    }

    //
    //
    private class ResNode {
        Res p_res;
        ResNode next;
    }

    //
    //
    public void addnode(Res obj) {
        ResNode newnode = new ResNode();
        newnode.p_res = obj;
        newnode.next = first;
        first = newnode;
        current = first;
    }

    //
    public Res get_seq() {
        Res obj = null;
        if (current != null) {
            obj = current.p_res;
            current = current.next;
        }
        return obj;
    }
}
