package psimjava;

/**
 * PsimJ Java package for OO simulation
 * Internal class used by the simulation executive.
 * (C) Jose M. Garrido, June 2000, August 2003, 2004
 */
class Startlock
    extends Object {
    public synchronized void start_th(Process ps) {
        // Internal method called by run()
        //
        // Process pthis;
        // pthis = (Process) Thread.currentThread();
        // System.out.println("Startlock:start_th with " + ps.get_name());
        StaticSync.incr_started(); // number of started processes
        // System.out.println("Started: "+StaticSync.get_started()+" created: "+            StaticSync.get_created() );
        //
        if (StaticSync.first_process()) { // first process?
            StaticSync.set_first(); //
            // System.out.println ("(Startlock) First process: " + ps.get_name());
            StaticSync.running(ps); // make current process
            ps.set_state(Sched.RUNNING);
            StaticSync.pfirst = ps; // the first process (Application thread)

        }
        else {
            // System.out.println("(Startlock) " + ps.get_name());
            // System.out.println("(Startlock) inserting: " + ps.get_name());
            // StaticSync.removerc(ps);
            /*        //
                      // System.out.println("start_th; suspending "+ps.get_name());
                      StaticSync.susobj.set_flag(true);
                      try {
               StaticSync.susobj.suswait(ps);           // pthis
                      }
                      catch (InterruptedException x) {
             // ignore
                      }
             */
        }
        StaticSync.insert(ps, 0.0); // insert to front of run chain
        ps.setPriority(4);
        // System.out.println ("Completed setting up " + ps.get_name());
    } // end of start_th
    //
} // end of class
