package psimjava.gui;

import javax.swing.*;
import java.io.*;
import java.util.*;
import java.awt.*;

public class PsimTabbedPane extends JTabbedPane
{
PsimTextArea tex;
  JScrollPane sp;
  
  public PsimTabbedPane()
  {
    super();
    try 
    {
      jbInit();
    }
    catch (Exception e)
    {
      e.printStackTrace();
    }
  }

  private void jbInit() throws Exception
  {
    setTabPlacement(SwingConstants.BOTTOM);
    createTab();
  }

  public void createTab()
  {
    int i = getTabCount();
    tex = new PsimTextArea();
    sp = new JScrollPane(tex);
    add("Run" + ++i, sp);
    setSelectedComponent(sp);
  }

  public OutputStream getOutputStream()
  {
      sp = (JScrollPane)getComponentAt(getTabCount() - 1);
      JViewport jvp = sp.getViewport();
      tex = (PsimTextArea)jvp.getView();
      return tex.getOutputStream();
  }

  public String getText()
  {
    sp = (JScrollPane)getComponentAt(this.getSelectedIndex());
    JViewport jvp = sp.getViewport();
    tex = (PsimTextArea)jvp.getView();
    return tex.getText();
  }

  public void addObserver(Observer obsv)
  {
    tex.addObserver(obsv);
  }
}

 