package psimjava.gui;
import javax.swing.*;
import java.io.*;

public abstract class SimPanel extends JPanel
{
  //set the default values
  public abstract void setDefaults();

  //set ALL values that need to be set for simulation to run
  public abstract boolean setValues();

  //start all processes
  public abstract void runSim();

  //sets the OutputStream for the simulation 
  public abstract void setOutputStream(OutputStream out);


  public abstract double getSimPeriod();  //may not need

  //set all references to null
  public abstract void setNull();         //may not need

  public abstract SimResults getResults();
}

