package psimjava.gui;

import java.util.*;

public class SimResults
{

  private ArrayList<Param> results;
  private String title;
  private String type;

  public SimResults(String type, String title)
  {
    this(type, title, null);
  }

  public SimResults(String type, String title, Param[] p)
  {

    this.type = type;
    this.title = title;
    if(!(p == null))
    {
      results = new ArrayList<Param> ();
      for(int i = 0; i < p.length; i++)
      {
        results.add(p[i]);
      }
    }
    else
      results = new ArrayList<Param> ();
  }

  public void setTitle(String tt) {
     this.title = tt;
  }
  
  public String getType()
  {
    return type;
  }

  public String getTitle()
  {
    return title;
  }

  public void addResult(Param p)
  {
    results.add(p);
  }

  public Param[] getResults()
  {
    Object[] o = results.toArray();
    Param[] p = new Param[o.length];
    for(int i = 0; i < o.length; i++)
    {
      p[i] = (Param)o[i];
    }
    return p;
  }




}