import psimjava.*;

public class Intersection extends psimjava.Process{
	private long sleepPeriod;
	private int greenTime;
	private int yellowTime;
	public Intersection(String name,long sleepPeriod,int greenTime,int yellowTime)
	{
		super(name);
		this.sleepPeriod=sleepPeriod;
		this.greenTime = greenTime;
		this.yellowTime = yellowTime;
		start();
	}
	public void Main_body()
	{
		TrafficController.out.println(getName() + " Started at: " + get_clock());
		while(get_clock() <= TrafficController.close_arrival)
		{
			TrafficController.NorthRoad.setLightColor(TrafficLight.Light.GREEN);
			TrafficController.out.println("Light changed to GREEN at: "+get_clock());
			delay(greenTime);
			TrafficController.NorthRoad.setLightColor(TrafficLight.Light.YELLOW);
			TrafficController.out.println("Light changed to YELLOW at: "+get_clock());
			delay(yellowTime);
			TrafficController.EastRoad.setLightColor(TrafficLight.Light.GREEN);
			TrafficController.out.println("Light changed to GREEN at: "+get_clock());
			TrafficController.NorthRoad.setLightColor(TrafficLight.Light.RED);
			TrafficController.out.println("Light changed to RED at: "+get_clock());
			delay(greenTime);
			TrafficController.EastRoad.setLightColor(TrafficLight.Light.YELLOW);
			TrafficController.out.println("Light changed to YELLOW at: "+get_clock());
			delay(yellowTime);
			TrafficController.SouthRoad.setLightColor(TrafficLight.Light.GREEN);
			TrafficController.out.println("Light changed to GREEN at: "+get_clock());
			TrafficController.EastRoad.setLightColor(TrafficLight.Light.RED);
			TrafficController.out.println("Light changed to RED at: "+get_clock());
			delay(greenTime);
			TrafficController.SouthRoad.setLightColor(TrafficLight.Light.YELLOW);
			TrafficController.out.println("Light changed to YELLOW at: "+get_clock());
			delay(yellowTime);
			TrafficController.WestRoad.setLightColor(TrafficLight.Light.GREEN);
			TrafficController.out.println("Light changed to GREEN at: "+get_clock());
			TrafficController.SouthRoad.setLightColor(TrafficLight.Light.RED);
			TrafficController.out.println("Light changed to RED at: "+get_clock());
			delay(greenTime);
			TrafficController.WestRoad.setLightColor(TrafficLight.Light.YELLOW);
			TrafficController.out.println("Light changed to YELLOW at: "+get_clock());
			delay(yellowTime);
		}
		terminate();
	}
	
}
