import javax.swing.*;
import javax.swing.border.*;
import java.text.*;
import java.io.*;
import java.awt.*;
import java.util.Timer;
import java.util.TimerTask;
import java.util.*;
import java.awt.event.*;


public class inSimPanel extends JPanel{

	private TrafficController tc;
	
	public inSimPanel() {
        setBorder(BorderFactory.createLineBorder(Color.black));
        
        
    }	
	
	public void startSim(TrafficController tc){
		this.tc = tc;
	}
	
	public Dimension getPreferredSize() {
        return new Dimension(250,250);
    }
	
	public void paintComponent(Graphics g) {
		super.paintComponent(g);
		
			
		
        
			Graphics2D g2d = (Graphics2D)g;
			
		// Draw Road
			g.drawLine(100, 0, 100, 100);
			g.drawLine(150, 0, 150, 100);
			
			g.drawLine(100, 150, 100, 250);
			g.drawLine(150, 150, 150, 250);
			
			g.drawLine(0, 100, 100, 100);
			g.drawLine(0, 150, 100, 150);
			
			g.drawLine(150, 100, 250, 100);
			g.drawLine(150, 150, 250, 150);
			
	if(tc != null){		
		// Draw Lights
			 
			// NorthRoad Light
			// Change Color
			switch(tc.NorthRoad.getLightColor()){
				case RED:
					g.setColor(Color.red);
					break;
				case GREEN:
					g.setColor(Color.green);
					break;
				case YELLOW:
					g.setColor(Color.yellow);
					break;
			}
			
			// Draw Light
			g.fillOval(113,88,24,24);
			
			// EastRoad Light
			// Change Color
			switch(tc.EastRoad.getLightColor()){
			case RED:
				g.setColor(Color.red);
				break;
			case GREEN:
				g.setColor(Color.green);
				break;
			case YELLOW:
				g.setColor(Color.yellow);
				break;
		}
			// Draw Light
			g.fillOval(138,113,24,24);
			
			// SouthRoad Light
			// Change Color
			switch(tc.SouthRoad.getLightColor()){
			case RED:
				g.setColor(Color.red);
				break;
			case GREEN:
				g.setColor(Color.green);
				break;
			case YELLOW:
				g.setColor(Color.yellow);
				break;
		}
			// Draw Light
			g.fillOval(113,138,24,24);
			
			// WestRoad Light
			// Change Color
			switch(tc.WestRoad.getLightColor()){
			case RED:
				g.setColor(Color.red);
				break;
			case GREEN:
				g.setColor(Color.green);
				break;
			case YELLOW:
				g.setColor(Color.yellow);
				break;
		}
			// Draw Light
			g.fillOval(88,113,24,24);
			
			
		// Draw Cars
			g.setColor(Color.black);
			
		// NorthRoad
			// Draw Incoming Cars
			int i=0; // number of incoming cars
			int j=0;
			
			i = tc.NorthRoad.getRoadInCount();
			if(i>6){
				j = i-6;
				i = 6;
			}else{
				j=0;
			}
			System.out.println("North Road In Count"+tc.NorthRoad.getRoadInCount());
			while(i>0){
				g.fillRect(105, (75 - (i*10)-i), 15, 10);
				i--;
			}
			if(j>0){
				g.setColor(Color.red);
				g.drawString(""+j, 113, 0);
				g.setColor(Color.black);
			}
			
			// Draw OutGoing Cars
			i = tc.NorthRoad.getRoadOutCount(); // number of outgoing cars
			if(i>6){
				j = i-6;
				i = 6;
			}else{
				j=0;
			}
			System.out.println("North Road out Count"+tc.NorthRoad.getRoadOutCount());
			while(i>0){			
				g.fillRect(130, (0 + (i*10)+i), 15, 10);
				i--;
			}
			if(j>0){
				
				g.setColor(Color.red);
				g.drawString(""+j, 130, 0);
				g.setColor(Color.black);
				
			}
			
		// EastRoad
			// Draw Incoming Cars
			i = tc.EastRoad.getRoadInCount();; // number of incoming cars
			if(i>6){
				j = i-6;
				i = 6;
			}else{
				j=0;
			}
			System.out.println("East Road In Count"+tc.EastRoad.getRoadInCount());
			while(i>0){
				g.fillRect((175 + (i*10)+i), 105 , 10, 15);
				i--;
			}
			
			// Draw OutGoing Cars
			i = tc.EastRoad.getRoadOutCount(); // number of outgoing cars
			if(i>6){
				j = i-6;
				i = 6;
			}else{
				j=0;
			}
			System.out.println("east Road out Count"+tc.EastRoad.getRoadOutCount());
			while(i>0){			
				g.fillRect((250 - (i*10)-i), 130, 10, 15);
				i--;
			}
			
		// SouthRoad
			// Draw Incoming Cars
			i = tc.SouthRoad.getRoadInCount(); // number of incoming cars
			if(i>6){
				j = i-6;
				i = 6;
			}else{
				j=0;
			}
			while(i>0){
				g.fillRect(130, (175 + (i*10)+i), 15, 10);
				i--;
			}
			
			// Draw OutGoing Cars
			i = tc.SouthRoad.getRoadOutCount(); // number of outgoing cars
			if(i>6){
				j = i-6;
				i = 6;
			}else{
				j=0;
			}
			while(i>0){			
				g.fillRect(105, (250 - (i*10)-i), 15, 10);
				i--;
			}
			
		// WestRoad
			// Draw Incoming Cars
			i = tc.WestRoad.getRoadInCount(); // number of incoming cars
			if(i>6){
				j = i-6;
				i = 6;
			}else{
				j=0;
			}
			while(i>0){
				g.fillRect((75 - (i*10)-i), 130, 10, 15);
				i--;
			}
			
			// Draw OutGoing Cars
			i = tc.WestRoad.getRoadInCount();// number of outgoing cars
			if(i>6){
				j = i-6;
				i = 6;
			}else{
				j=0;
			}
			while(i>0){			
				g.fillRect((0 + (i*10)+i), 105, 10, 15);
				i--;
			}
	}
	}	
	
}
