   package psimjava;
/**
* PsimJ, Java package for Obje ct-oriented Simulation
* Internal class called by the Bin class and the PsimJ simulation executive.
* <P>Object-oriented simulation package, process interaction approach.
* <P> (C) J. M. Garrido. June 2000, 2003, 2004
*/
    class Bin_chain {
      private BinNode first;
      public BinNode current;
   //
       public Bin_chain () {
         first = null;
         current = null;
      }
   //
   //
       private class BinNode {
         Bin p_bin;
         BinNode next;
      }
   //
   //
       public void addnode (Bin obj) {
         BinNode newnode = new BinNode();
         newnode.p_bin = obj;
         newnode.next = first;
         first = newnode;
         current = first;
      }
   //
       public Bin get_seq () {
         Bin obj = null;
         if (current != null) {
            obj = current.p_bin;
            current = current.next;
         }
         return obj;
      }
   }

