   package psimjava;

/**
* PsimJ Java package for OO simulation
* <P> Object-oriented simulation package, process interaction approach.
* <P> (C) J. M. Garrido. June 2000, 2003, 2004
* Random number generators
*/

   import java.util.Random;

/**
* Java random number base generator for integers.
*/
    public class Randint extends Random implements RandomGenerator{
   /**
   * Constructor for random number generator objet
   * @param seed to set the random number stream.
   */
       public Randint (long seed) {
         super (seed);
      }
   //
       public Randint () {
         super ();
      }
   //
   /**
   * This method sets the seed to set the random number stream
   * @param useed long, the value for the seed.
   */
       public void seed (long useed) {
         setSeed (useed);
      }
   //
   /**
   * This method generates an integer random number: positive or negative
   * @return long, a value of type 'long' that represents a random number.
   */
       public long draw () {
         return nextLong();
      }
   //
   /**
   * This method generates a random number between 0.0 to 1.0
   * @return float a value of type float represents a random number.
   */
       public float fdraw () {
         return nextFloat();
      }
   }

